#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "TableModel.h"
#include "DialogSpinBox.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    TableModel* model = new TableModel();
    ui->tableView->setModel(model);

    connect(ui->tableView->verticalHeader(), SIGNAL(sectionDoubleClicked(int)), this, SLOT(openDialog()));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::openDialog()
{
    DialogSpinBox* dialog = new DialogSpinBox(this);
    dialog->exec();
}
